#!/usr/bin/perl

package eBay::API::XML::Call::AddMemberMessageRTQ::AddMemberMessageRTQRequestType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. AddMemberMessageRTQRequestType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::AddMemberMessageRTQ::AddMemberMessageRTQRequestType

=head1 DESCRIPTION

Enables a seller to reply to a question about an active item listing.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::AddMemberMessageRTQ::AddMemberMessageRTQRequestType inherits from the L<eBay::API::XML::RequestDataType> class

=cut

use eBay::API::XML::RequestDataType;
our @ISA = ("eBay::API::XML::RequestDataType");

use eBay::API::XML::DataType::ItemIDType;
use eBay::API::XML::DataType::MemberMessageType;


my @gaProperties = ( [ 'ItemID', 'ns:ItemIDType', ''
	     ,'eBay::API::XML::DataType::ItemIDType', '1' ]
	, [ 'MemberMessage', 'ns:MemberMessageType', ''
	     ,'eBay::API::XML::DataType::MemberMessageType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::RequestDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::RequestDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setItemID()

The unique ID of the item about which
the question was asked.

  RequiredInput: Yes
#    Argument: 'ns:ItemIDType'

=cut

sub setItemID {
  my $self = shift;
  $self->{'ItemID'} = shift
}

=head2 getItemID()

#    Returns: 'ns:ItemIDType'

=cut

sub getItemID {
  my $self = shift;
  return $self->_getDataTypeInstance( 'ItemID'
		,'eBay::API::XML::DataType::ItemIDType');
}


=head2 setMemberMessage()

The message itself.

  RequiredInput: Yes
#    Argument: 'ns:MemberMessageType'

=cut

sub setMemberMessage {
  my $self = shift;
  $self->{'MemberMessage'} = shift
}

=head2 getMemberMessage()

#    Returns: 'ns:MemberMessageType'

=cut

sub getMemberMessage {
  my $self = shift;
  return $self->_getDataTypeInstance( 'MemberMessage'
		,'eBay::API::XML::DataType::MemberMessageType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
