#!/usr/bin/perl

package eBay::API::XML::Call::CompleteSale::CompleteSaleResponseType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. CompleteSaleResponseType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::CompleteSale::CompleteSaleResponseType

=head1 DESCRIPTION

Indicates the success or failure of the attempt to leave feedback for the buyer,
change the paid status in My eBay, and/or change the shipped status in My eBay.
<br><br>
Applies to half.com.
<br><br>
<br><br>
When CompleteSale is applied to a specified order (by specifying OrderID), it
also applies to the child transactions associated with the order. An OrderID
cannot be used with half.com items.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::CompleteSale::CompleteSaleResponseType inherits from the L<eBay::API::XML::ResponseDataType> class

=cut

use eBay::API::XML::ResponseDataType;
our @ISA = ("eBay::API::XML::ResponseDataType");



my @gaProperties = ( 
                    );
push @gaProperties, @{eBay::API::XML::ResponseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::ResponseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}






##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
