#!/usr/bin/perl

package eBay::API::XML::Call::GetApiAccessRules::GetApiAccessRulesResponseType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetApiAccessRulesResponseType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::GetApiAccessRules::GetApiAccessRulesResponseType

=head1 DESCRIPTION

Responds to a call to GetApiAccessRules.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::GetApiAccessRules::GetApiAccessRulesResponseType inherits from the L<eBay::API::XML::ResponseDataType> class

=cut

use eBay::API::XML::ResponseDataType;
our @ISA = ("eBay::API::XML::ResponseDataType");

use eBay::API::XML::DataType::ApiAccessRuleType;


my @gaProperties = ( [ 'ApiAccessRule', 'ns:ApiAccessRuleType', '1'
	     ,'eBay::API::XML::DataType::ApiAccessRuleType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::ResponseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::ResponseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setApiAccessRule()

Contains the description of an API access rule, including the
call name, the application's current daily and hourly usage,
and other values.

#    Argument: reference to an array  
                      of 'ns:ApiAccessRuleType'

=cut

sub setApiAccessRule {
  my $self = shift;
  $self->{'ApiAccessRule'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getApiAccessRule()

  Returned: Always
#    Returns: reference to an array  
                      of 'ns:ApiAccessRuleType'

=cut

sub getApiAccessRule {
  my $self = shift;
  return $self->_getDataTypeArray('ApiAccessRule');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
