#!/usr/bin/perl

package eBay::API::XML::Call::GetChallengeToken::GetChallengeTokenRequestType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetChallengeTokenRequestType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::GetChallengeToken::GetChallengeTokenRequestType

=head1 DESCRIPTION

Retrieves a botblock token and URLs for an image or audio clip that the user is to
match.
<br><br>
Use this call in any process for which you would find a botblock
challenge to be of value.
<br><br>
To use this call, make a GetChallengeToken request to get a token, an image URL and an
audio clip URL.
<br><br>				
Then, optionally, call ValidateChallengeInput with the token, the user's
response, and whether the retrieved token should remain valid for a short period
of time. The response from ValidateChallengeInput indicates whether the token is
valid.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::GetChallengeToken::GetChallengeTokenRequestType inherits from the L<eBay::API::XML::RequestDataType> class

=cut

use eBay::API::XML::RequestDataType;
our @ISA = ("eBay::API::XML::RequestDataType");



my @gaProperties = ( 
                    );
push @gaProperties, @{eBay::API::XML::RequestDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::RequestDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}






##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
