#!/usr/bin/perl

package eBay::API::XML::Call::GetContextualKeywords::GetContextualKeywordsResponseType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetContextualKeywordsResponseType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::GetContextualKeywords::GetContextualKeywordsResponseType

=head1 DESCRIPTION

Response to a GetContextualKeywords request.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::GetContextualKeywords::GetContextualKeywordsResponseType inherits from the L<eBay::API::XML::ResponseDataType> class

=cut

use eBay::API::XML::ResponseDataType;
our @ISA = ("eBay::API::XML::ResponseDataType");

use eBay::API::XML::DataType::ContextSearchAssetType;


my @gaProperties = ( [ 'ContextSearchAsset', 'ns:ContextSearchAssetType', '1'
	     ,'eBay::API::XML::DataType::ContextSearchAssetType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::ResponseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::ResponseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setContextSearchAsset()

An array of either keyword/category pairs or categories, with ranking and score.

#    Argument: reference to an array  
                      of 'ns:ContextSearchAssetType'

=cut

sub setContextSearchAsset {
  my $self = shift;
  $self->{'ContextSearchAsset'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getContextSearchAsset()

  Returned: Always
#    Returns: reference to an array  
                      of 'ns:ContextSearchAssetType'

=cut

sub getContextSearchAsset {
  my $self = shift;
  return $self->_getDataTypeArray('ContextSearchAsset');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
