#!/usr/bin/perl

package eBay::API::XML::Call::GetMessagePreferences::GetMessagePreferencesResponseType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetMessagePreferencesResponseType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::GetMessagePreferences::GetMessagePreferencesResponseType

=head1 DESCRIPTION

Contains the ASQ subjects for the user specified in the request.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::GetMessagePreferences::GetMessagePreferencesResponseType inherits from the L<eBay::API::XML::ResponseDataType> class

=cut

use eBay::API::XML::ResponseDataType;
our @ISA = ("eBay::API::XML::ResponseDataType");

use eBay::API::XML::DataType::ASQPreferencesType;


my @gaProperties = ( [ 'ASQPreferences', 'ns:ASQPreferencesType', ''
	     ,'eBay::API::XML::DataType::ASQPreferencesType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::ResponseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::ResponseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setASQPreferences()

Returns a seller's ASQ subjects, each in its own Subject
node. If the seller has not customized the ASQ subjects
using SetMessagePreferences, the call will return the
current default values. Returned if
IncludeASQPreferences = true was specified in the
request.

#    Argument: 'ns:ASQPreferencesType'

=cut

sub setASQPreferences {
  my $self = shift;
  $self->{'ASQPreferences'} = shift
}

=head2 getASQPreferences()

  Returned: Conditionally
#    Returns: 'ns:ASQPreferencesType'

=cut

sub getASQPreferences {
  my $self = shift;
  return $self->_getDataTypeInstance( 'ASQPreferences'
		,'eBay::API::XML::DataType::ASQPreferencesType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
