#!/usr/bin/perl

package eBay::API::XML::Call::GetMyeBayReminders::GetMyeBayRemindersRequestType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetMyeBayRemindersRequestType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::GetMyeBayReminders::GetMyeBayRemindersRequestType

=head1 DESCRIPTION

Requests reminder type totals from the user's MyeBay account.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::GetMyeBayReminders::GetMyeBayRemindersRequestType inherits from the L<eBay::API::XML::RequestDataType> class

=cut

use eBay::API::XML::RequestDataType;
our @ISA = ("eBay::API::XML::RequestDataType");

use eBay::API::XML::DataType::ReminderCustomizationType;


my @gaProperties = ( [ 'BuyingReminders', 'ns:ReminderCustomizationType', ''
	     ,'eBay::API::XML::DataType::ReminderCustomizationType', '1' ]
	, [ 'SellingReminders', 'ns:ReminderCustomizationType', ''
	     ,'eBay::API::XML::DataType::ReminderCustomizationType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::RequestDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::RequestDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setBuyingReminders()

Specifies the type of buying reminders for which you want information.

  RequiredInput: No
#    Argument: 'ns:ReminderCustomizationType'

=cut

sub setBuyingReminders {
  my $self = shift;
  $self->{'BuyingReminders'} = shift
}

=head2 getBuyingReminders()

#    Returns: 'ns:ReminderCustomizationType'

=cut

sub getBuyingReminders {
  my $self = shift;
  return $self->_getDataTypeInstance( 'BuyingReminders'
		,'eBay::API::XML::DataType::ReminderCustomizationType');
}


=head2 setSellingReminders()

Specifies the type of selling reminders for which you want information.

  RequiredInput: No
#    Argument: 'ns:ReminderCustomizationType'

=cut

sub setSellingReminders {
  my $self = shift;
  $self->{'SellingReminders'} = shift
}

=head2 getSellingReminders()

#    Returns: 'ns:ReminderCustomizationType'

=cut

sub getSellingReminders {
  my $self = shift;
  return $self->_getDataTypeInstance( 'SellingReminders'
		,'eBay::API::XML::DataType::ReminderCustomizationType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
