#!/usr/bin/perl

package eBay::API::XML::Call::GetPromotionRules::GetPromotionRulesResponseType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetPromotionRulesResponseType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::GetPromotionRules::GetPromotionRulesResponseType

=head1 DESCRIPTION

Returns all promotion rules associated with the specified item or store category.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::GetPromotionRules::GetPromotionRulesResponseType inherits from the L<eBay::API::XML::ResponseDataType> class

=cut

use eBay::API::XML::ResponseDataType;
our @ISA = ("eBay::API::XML::ResponseDataType");

use eBay::API::XML::DataType::PromotionRuleArrayType;


my @gaProperties = ( [ 'PromotionRuleArray', 'ns:PromotionRuleArrayType', ''
	     ,'eBay::API::XML::DataType::PromotionRuleArrayType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::ResponseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::ResponseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setPromotionRuleArray()

An array of promotion rules associated with the item or store category
specified in the request.

#    Argument: 'ns:PromotionRuleArrayType'

=cut

sub setPromotionRuleArray {
  my $self = shift;
  $self->{'PromotionRuleArray'} = shift
}

=head2 getPromotionRuleArray()

  Returned: Always
#    Returns: 'ns:PromotionRuleArrayType'

=cut

sub getPromotionRuleArray {
  my $self = shift;
  return $self->_getDataTypeInstance( 'PromotionRuleArray'
		,'eBay::API::XML::DataType::PromotionRuleArrayType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
