#!/usr/bin/perl

package eBay::API::XML::Call::GetUser::GetUserResponseType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetUserResponseType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::GetUser::GetUserResponseType

=head1 DESCRIPTION

Contains the data retrieved by the call. User data is returned in a User object.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::GetUser::GetUserResponseType inherits from the L<eBay::API::XML::ResponseDataType> class

=cut

use eBay::API::XML::ResponseDataType;
our @ISA = ("eBay::API::XML::ResponseDataType");

use eBay::API::XML::DataType::UserType;


my @gaProperties = ( [ 'User', 'ns:UserType', ''
	     ,'eBay::API::XML::DataType::UserType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::ResponseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::ResponseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setUser()

Contains the returned user data for the specified eBay user.

#    Argument: 'ns:UserType'

=cut

sub setUser {
  my $self = shift;
  $self->{'User'} = shift
}

=head2 getUser()

  Returned: Always
  Details: DetailLevel: none, ReturnSummary, ReturnAll
#    Returns: 'ns:UserType'

=cut

sub getUser {
  my $self = shift;
  return $self->_getDataTypeInstance( 'User'
		,'eBay::API::XML::DataType::UserType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
