#!/usr/bin/perl

package eBay::API::XML::Call::GetWantItNowPost::GetWantItNowPostResponseType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetWantItNowPostResponseType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::GetWantItNowPost::GetWantItNowPostResponseType

=head1 DESCRIPTION

Contains the Want It Now post data returned by the call. The data for the
specified post listing is returned in a WantItNowPostType object.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::GetWantItNowPost::GetWantItNowPostResponseType inherits from the L<eBay::API::XML::ResponseDataType> class

=cut

use eBay::API::XML::ResponseDataType;
our @ISA = ("eBay::API::XML::ResponseDataType");

use eBay::API::XML::DataType::WantItNowPostType;


my @gaProperties = ( [ 'WantItNowPost', 'ns:WantItNowPostType', ''
	     ,'eBay::API::XML::DataType::WantItNowPostType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::ResponseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::ResponseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setWantItNowPost()

Contains the data defining a single Want It Now post.

#    Argument: 'ns:WantItNowPostType'

=cut

sub setWantItNowPost {
  my $self = shift;
  $self->{'WantItNowPost'} = shift
}

=head2 getWantItNowPost()

  Returned: Always
#    Returns: 'ns:WantItNowPostType'

=cut

sub getWantItNowPost {
  my $self = shift;
  return $self->_getDataTypeInstance( 'WantItNowPost'
		,'eBay::API::XML::DataType::WantItNowPostType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
