#!/usr/bin/perl

package eBay::API::XML::Call::SetMessagePreferences::SetMessagePreferencesRequestType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. SetMessagePreferencesRequestType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::SetMessagePreferences::SetMessagePreferencesRequestType

=head1 DESCRIPTION

Enables a seller to add custom Ask Seller a Question (ASQ)
subjects to display on the seller's Ask a Question page, or
reset custom subjects to their default values.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::SetMessagePreferences::SetMessagePreferencesRequestType inherits from the L<eBay::API::XML::RequestDataType> class

=cut

use eBay::API::XML::RequestDataType;
our @ISA = ("eBay::API::XML::RequestDataType");

use eBay::API::XML::DataType::ASQPreferencesType;


my @gaProperties = ( [ 'ASQPreferences', 'ns:ASQPreferencesType', ''
	     ,'eBay::API::XML::DataType::ASQPreferencesType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::RequestDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::RequestDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setASQPreferences()

Contains custom ASQ subjects or a flag to reset those
subjects to their default values.

  RequiredInput: No
#    Argument: 'ns:ASQPreferencesType'

=cut

sub setASQPreferences {
  my $self = shift;
  $self->{'ASQPreferences'} = shift
}

=head2 getASQPreferences()

#    Returns: 'ns:ASQPreferencesType'

=cut

sub getASQPreferences {
  my $self = shift;
  return $self->_getDataTypeInstance( 'ASQPreferences'
		,'eBay::API::XML::DataType::ASQPreferencesType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
