#!/usr/bin/perl

package eBay::API::XML::Call::SetStorePreferences::SetStorePreferencesRequestType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. SetStorePreferencesRequestType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::Call::SetStorePreferences::SetStorePreferencesRequestType

=head1 DESCRIPTION

Sets the preferences for a user's eBay Store. These preferences include various
seller vacation options.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::Call::SetStorePreferences::SetStorePreferencesRequestType inherits from the L<eBay::API::XML::RequestDataType> class

=cut

use eBay::API::XML::RequestDataType;
our @ISA = ("eBay::API::XML::RequestDataType");

use eBay::API::XML::DataType::StorePreferencesType;


my @gaProperties = ( [ 'StorePreferences', 'ns:StorePreferencesType', ''
	     ,'eBay::API::XML::DataType::StorePreferencesType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::RequestDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::RequestDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setStorePreferences()

Specifies the store preferences.

  RequiredInput: No
#    Argument: 'ns:StorePreferencesType'

=cut

sub setStorePreferences {
  my $self = shift;
  $self->{'StorePreferences'} = shift
}

=head2 getStorePreferences()

#    Returns: 'ns:StorePreferencesType'

=cut

sub getStorePreferences {
  my $self = shift;
  return $self->_getDataTypeInstance( 'StorePreferences'
		,'eBay::API::XML::DataType::StorePreferencesType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
