#!/usr/bin/perl

package eBay::API::XML::DataType::AuthenticationEntryArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. AuthenticationEntryArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 07/07/2008 17:42
# API Release Number: ... 571
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::AuthenticationEntryArrayType

=head1 DESCRIPTION

Container for a list of AuthenticationEntries. Can contain zero, one, or multiple
AuthenticationEntryType objects.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::AuthenticationEntryArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::AuthenticationEntryType;


my @gaProperties = ( [ 'AuthenticationEntry', 'ns:AuthenticationEntryType', '1'
	     ,'eBay::API::XML::DataType::AuthenticationEntryType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setAuthenticationEntry()

Contains the data properties that define one authentication entry.
Multiple AuthenticationEntry fields can be returned.

#    Argument: reference to an array  
                      of 'ns:AuthenticationEntryType'

=cut

sub setAuthenticationEntry {
  my $self = shift;
  $self->{'AuthenticationEntry'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getAuthenticationEntry()

  Calls: GetReturnURL
  Returned: Conditionally

#    Returns: reference to an array  
                      of 'ns:AuthenticationEntryType'

=cut

sub getAuthenticationEntry {
  my $self = shift;
  return $self->_getDataTypeArray('AuthenticationEntry');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
