#!/usr/bin/perl

package eBay::API::XML::DataType::BidGroupArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. BidGroupArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::BidGroupArrayType

=head1 DESCRIPTION

Contains a list of items that are part of a bid group.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::BidGroupArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::BidGroupType;


my @gaProperties = ( [ 'BidGroup', 'ns:BidGroupType', '1'
	     ,'eBay::API::XML::DataType::BidGroupType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setBidGroup()

Contains a list of bid groups.

#    Argument: reference to an array  
                      of 'ns:BidGroupType'

=cut

sub setBidGroup {
  my $self = shift;
  $self->{'BidGroup'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getBidGroup()

  Calls: GetMyeBayBuying
  Returned: Conditionally
  Details: DetailLevel: none, ReturnSummary, ReturnAll
  Context: BidAssistantList

#    Returns: reference to an array  
                      of 'ns:BidGroupType'

=cut

sub getBidGroup {
  my $self = shift;
  return $self->_getDataTypeArray('BidGroup');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
