#!/usr/bin/perl

package eBay::API::XML::DataType::BidderDetailArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. BidderDetailArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::BidderDetailArrayType

=head1 DESCRIPTION

A collection of Bidder Detail.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::BidderDetailArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::BidderDetailType;


my @gaProperties = ( [ 'BidderDetail', 'ns:BidderDetailType', '1'
	     ,'eBay::API::XML::DataType::BidderDetailType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setBidderDetail()

Details about a Live Auctions bidder.
Returned if at least one bidder has requested approval.

#    Argument: reference to an array  
                      of 'ns:BidderDetailType'

=cut

sub setBidderDetail {
  my $self = shift;
  $self->{'BidderDetail'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getBidderDetail()

  Calls: GetLiveAuctionBidders
  Returned: Conditionally

#    Returns: reference to an array  
                      of 'ns:BidderDetailType'

=cut

sub getBidderDetail {
  my $self = shift;
  return $self->_getDataTypeArray('BidderDetail');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
