#!/usr/bin/perl

package eBay::API::XML::DataType::BidderNoticePreferencesType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. BidderNoticePreferencesType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::BidderNoticePreferencesType

=head1 DESCRIPTION

Contains a seller's preferences for receiving bidder notices.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::BidderNoticePreferencesType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");



my @gaProperties = ( [ 'UnsuccessfulBidderNoticeIncludeMyItems', 'xs:boolean', '', '', '' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setUnsuccessfulBidderNoticeIncludeMyItems()

If true, sends the seller a notice containing the contact information for unsuccessful
bidders.

  Calls: SetUserPreferences
  RequiredInput: No

#    Argument: 'xs:boolean'

=cut

sub setUnsuccessfulBidderNoticeIncludeMyItems {
  my $self = shift;
  $self->{'UnsuccessfulBidderNoticeIncludeMyItems'} = shift
}

=head2 isUnsuccessfulBidderNoticeIncludeMyItems()

  Calls: GetUserPreferences
  Returned: Conditionally

#    Returns: 'xs:boolean'

=cut

sub isUnsuccessfulBidderNoticeIncludeMyItems {
  my $self = shift;
  return $self->{'UnsuccessfulBidderNoticeIncludeMyItems'};
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
