#!/usr/bin/perl

package eBay::API::XML::DataType::CharityAffiliationType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. CharityAffiliationType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::CharityAffiliationType

=head1 DESCRIPTION

Defines the affiliation status for a nonprofit charity organization registered with the dedicated eBay Giving Works provider.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::CharityAffiliationType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::Enum::CharityAffiliationTypeCodeType;


my @gaProperties = ( 
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( [ 'id', 'xs:string', '', '', '' ]
	, [ 'type', 'ns:CharityAffiliationTypeCodeType', ''
	     ,'eBay::API::XML::DataType::Enum::CharityAffiliationTypeCodeType', '' ]
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}





=head2 setId()

#    Argument: 'xs:string'

=cut

sub setId {
  my $self = shift;
  $self->{'id'} = shift
}

=head2 getId()

#    Returns: 'xs:string'

=cut

sub getId {
  my $self = shift;
  return $self->{'id'};
}


=head2 setType()

#    Argument: 'ns:CharityAffiliationTypeCodeType'

=cut

sub setType {
  my $self = shift;
  $self->{'type'} = shift
}

=head2 getType()

#    Returns: 'ns:CharityAffiliationTypeCodeType'

=cut

sub getType {
  my $self = shift;
  return $self->{'type'};
}



##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
