#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::AccessRuleCurrentStatusCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. AccessRuleCurrentStatusCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::AccessRuleCurrentStatusCodeType

=head1 DESCRIPTION

Describes the current status of your application with regard to
rules governing the number of times your application can
execute API calls.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 NotSet

(out) The rule is not set and usage limits do not apply.



=cut


use constant NotSet => scalar('NotSet');


=head2 HourlyLimitExceeded

(out) Your application has exceeded its hourly hard limit.



=cut


use constant HourlyLimitExceeded => scalar('HourlyLimitExceeded');


=head2 DailyLimitExceeded

(out) Your application has exceeded its daily hard limit.



=cut


use constant DailyLimitExceeded => scalar('DailyLimitExceeded');


=head2 PeriodicLimitExceeded

(out) Your application has exceeded its periodic hard limit.



=cut


use constant PeriodicLimitExceeded => scalar('PeriodicLimitExceeded');


=head2 HourlySoftLimitExceeded

(out) Your application has exceeded its hourly soft limit.



=cut


use constant HourlySoftLimitExceeded => scalar('HourlySoftLimitExceeded');


=head2 DailySoftLimitExceeded

(out) Your application has exceeded its daily soft limit.



=cut


use constant DailySoftLimitExceeded => scalar('DailySoftLimitExceeded');


=head2 PeriodicSoftLimitExceeded

(out) Your application has exceeded its periodic soft limit.



=cut


use constant PeriodicSoftLimitExceeded => scalar('PeriodicSoftLimitExceeded');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
