#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::AccountEntrySortTypeCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. AccountEntrySortTypeCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::AccountEntrySortTypeCodeType

=head1 DESCRIPTION

Specifies how account entries should be sorted in a response
from eBay.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 None

(in) Sort by the AccountEntry.Date value in the response,
in ascending order. Same as AccountEntryCreatedTimeAscending.



=cut


use constant None => scalar('None');


=head2 AccountEntryCreatedTimeAscending

(in) Sort by the AccountEntry.Date value in the response,
in ascending order.



=cut


use constant AccountEntryCreatedTimeAscending => scalar('AccountEntryCreatedTimeAscending');


=head2 AccountEntryCreatedTimeDescending

(in) Sort by the AccountEntry.Date value in the response, in
descending order.



=cut


use constant AccountEntryCreatedTimeDescending => scalar('AccountEntryCreatedTimeDescending');


=head2 AccountEntryItemNumberAscending

(in) Sort by the AccountEntry.ItemID value in the response, in
ascending order.



=cut


use constant AccountEntryItemNumberAscending => scalar('AccountEntryItemNumberAscending');


=head2 AccountEntryItemNumberDescending

(in) Sort by the AccountEntry.ItemID value in the response,
in descending order.



=cut


use constant AccountEntryItemNumberDescending => scalar('AccountEntryItemNumberDescending');


=head2 AccountEntryFeeTypeAscending

(in) Sort by the value returned in AccountEntry.Description,
with entries starting with lowercase letters before entries starting
with uppercase letters and each group in alphabetical order.



=cut


use constant AccountEntryFeeTypeAscending => scalar('AccountEntryFeeTypeAscending');


=head2 AccountEntryFeeTypeDescending

(in) Sort by the value returned in AccountEntry.Description, with entries
starting with uppercase letters before entries starting with lowercase
letters and each group in reverse alphabetical order.



=cut


use constant AccountEntryFeeTypeDescending => scalar('AccountEntryFeeTypeDescending');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
