#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::ClassifiedAdBestOfferEnabledCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. ClassifiedAdBestOfferEnabledCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::ClassifiedAdBestOfferEnabledCodeType

=head1 DESCRIPTION

Used to indicate whether Best Offer is enabled for a category belonging to the 
Classified Ad Format.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 Disabled

The Best Offer feature is disabled for the category.



=cut


use constant Disabled => scalar('Disabled');


=head2 Enabled

The Best Offer feature is enabled for the category.



=cut


use constant Enabled => scalar('Enabled');


=head2 Required

The category supports the Best Offer feature only.



=cut


use constant Required => scalar('Required');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
