#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::DateSpecifierCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. DateSpecifierCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::DateSpecifierCodeType

=head1 DESCRIPTION

Specifies a subcomponent of a date. Useful in cases when it is
helpful to allow separate text fields or drop-down lists to be
rendered for each date subcomponent. (For example, when calling
GetProductSearchResults, you use date specifiers to indicate the
date subcomponent that the attribute represents.)



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 M

(in) The month subcomponent of a date.



=cut


use constant M => scalar('M');


=head2 D

(in) The day subcomponent of a date.



=cut


use constant D => scalar('D');


=head2 Y

(in) The year subcomponent of a date.



=cut


use constant Y => scalar('Y');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
