#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::DisputeCreditEligibilityCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. DisputeCreditEligibilityCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::DisputeCreditEligibilityCodeType

=head1 DESCRIPTION

Indicates whether the dispute is currently eligible for Final Value Fee credit. The value
does not indicate whether the credit will actually be made. Applies to Unpaid Item
disputes.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 InEligible

(out) The seller is not currently eligible for a credit.



=cut


use constant InEligible => scalar('InEligible');


=head2 Eligible

(out) The seller is eligible for a credit.



=cut


use constant Eligible => scalar('Eligible');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
