#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::ExpressProductSortCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. ExpressProductSortCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 07/07/2008 17:42
# API Release Number: ... 571
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::ExpressProductSortCodeType

=head1 DESCRIPTION

Sorts the products in ProductArray.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 LowestPrice

(in) Sort the products by the lowest current price of the items available.
The product with the lowest-priced item is returned first.



=cut


use constant LowestPrice => scalar('LowestPrice');


=head2 HighestPrice

(in) Sort the products by the highest current price of the items available.
The product with the highest-priced item is returned first.



=cut


use constant HighestPrice => scalar('HighestPrice');


=head2 SalesRank

(in) Sort the products by sales rank.
The product with the highest sales rank (i.e., the best-selling product)
is returned first.
The rules that are used to determine the sales rank vary for
each product type and are not disclosed in this documentation.
However, in general, the sales rank is based on the number of items sold
on Express and/or the main eBay site.
This is the default.



=cut


use constant SalesRank => scalar('SalesRank');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
