#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::GeographicExposureCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GeographicExposureCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::GeographicExposureCodeType

=head1 DESCRIPTION

Used to indicate the listing options. Each of the subscriptions will
have following options, which will define "National" vs "Local" ad format
listing.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 National

Seller can not opt into local exposure. It has to be
national listing.



=cut


use constant National => scalar('National');


=head2 LocalOnly

Seller can have Local listings only.



=cut


use constant LocalOnly => scalar('LocalOnly');


=head2 LocalOptional

This will allow national and local listing.



=cut


use constant LocalOptional => scalar('LocalOptional');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
