#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::GetAllBiddersModeCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. GetAllBiddersModeCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::GetAllBiddersModeCodeType

=head1 DESCRIPTION

Specifies which bidder information to return.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 ViewAll

(in) Returns all bidders for an ended or still-active
listing. It may be used by any user.



=cut


use constant ViewAll => scalar('ViewAll');


=head2 EndedListing

(in) Returns all non-winning bidders for ended
listings only. It may be used only by a seller.



=cut


use constant EndedListing => scalar('EndedListing');


=head2 SecondChanceEligibleEndedListing

(in) Returns all non-winning bidders for an ended listing
who have not yet received a Second Chance Offer and noted
interest in receiving a Second Chance Offer. It may be used
only by a seller.



=cut


use constant SecondChanceEligibleEndedListing => scalar('SecondChanceEligibleEndedListing');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
