#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::MerchDisplayCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. MerchDisplayCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::MerchDisplayCodeType

=head1 DESCRIPTION

Specifies whether an eBay Stores seller prefers to promote items with a
cross-promotion widget that is customized with the store theme or uses
the default eBay theme. This option is the same as the one set on the
seller's Customize Cross-Promotion Display page.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 DefaultTheme

Uses the default eBay theme for cross-promotion widgets.



=cut


use constant DefaultTheme => scalar('DefaultTheme');


=head2 StoreTheme

Uses the store theme for cross-promotion widgets.



=cut


use constant StoreTheme => scalar('StoreTheme');


=head2 CustomCode

Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
