#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::MerchandizingPrefCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. MerchandizingPrefCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::MerchandizingPrefCodeType

=head1 DESCRIPTION

MerchandizingPrefCodeType - Type declaration to be used by other
schema. Indicates whether the seller has opted to participate in
item cross-promotion through the Merchandising Manager feature. This
option is set on the user's My eBay page and determines whether the
seller's other items are cross-promoted with items from the seller
that are listed or sold.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 OptIn

Seller allows item cross-promotion.



=cut


use constant OptIn => scalar('OptIn');


=head2 OptOut

Seller does not allow item cross-promotion.



=cut


use constant OptOut => scalar('OptOut');


=head2 CustomCode

Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
