#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::PaymentMethodSearchCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. PaymentMethodSearchCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::PaymentMethodSearchCodeType

=head1 DESCRIPTION

Used for specifying items for which a specific payment method or methods are accepted.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 PayPal

PayPal payment method.



=cut


use constant PayPal => scalar('PayPal');


=head2 PaisaPay

PaisaPay payment method. The PaisaPay payment method is only for the India site (site ID 203).



=cut


use constant PaisaPay => scalar('PaisaPay');


=head2 PayPalOrPaisaPay

Either the PayPal or the PaisaPay payment method. The PaisaPay payment method is only for the India site (site ID 203).



=cut


use constant PayPalOrPaisaPay => scalar('PayPalOrPaisaPay');


=head2 CustomCode

=cut


use constant CustomCode => scalar('CustomCode');


=head2 PaisaPayEscrowEMI

PaisaPayEscrowEMI (Equal Monthly Installments) payment method. The PaisaPayEscrowEMI payment method is only for the India site (site ID 203).



=cut


use constant PaisaPayEscrowEMI => scalar('PaisaPayEscrowEMI');







1;   
