#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::PaymentTypeCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. PaymentTypeCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::PaymentTypeCodeType

=head1 DESCRIPTION

For GetSellerPayments, indicates the type of Half.com payment being
made (sale or refund).



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 Sale

(out) The buyer paid the seller.
Applicable to Half.com.



=cut


use constant Sale => scalar('Sale');


=head2 Refund

(out) The seller issued a refund to the buyer.
Applicable to Half.com.



=cut


use constant Refund => scalar('Refund');


=head2 SellerDeniedPayment

For eBay internal use.



=cut


use constant SellerDeniedPayment => scalar('SellerDeniedPayment');


=head2 AdminReversal

For eBay internal use.



=cut


use constant AdminReversal => scalar('AdminReversal');


=head2 AllOther

All other payment types.



=cut


use constant AllOther => scalar('AllOther');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
