#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::PictureManagerActionCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. PictureManagerActionCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::PictureManagerActionCodeType

=head1 DESCRIPTION

Specifies an action to be performed on a folder or setting in the user's Picture
Manager account.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 Add

(in) Adds a folder or setting  to the account.



=cut


use constant Add => scalar('Add');


=head2 Delete

(in) Deletes a folder or setting from the account.



=cut


use constant Delete => scalar('Delete');


=head2 Rename

(in) Renames a folder or picture.



=cut


use constant Rename => scalar('Rename');


=head2 Move

(in) Moves a picture to another folder.



=cut


use constant Move => scalar('Move');


=head2 Change

(in) Changes a subscription level.



=cut


use constant Change => scalar('Change');


=head2 CustomCode

(out) Reserved for internal or future use



=cut


use constant CustomCode => scalar('CustomCode');







1;   
