#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::PictureManagerSubscriptionLevelCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. PictureManagerSubscriptionLevelCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::PictureManagerSubscriptionLevelCodeType

=head1 DESCRIPTION

Specifies the level of the authenticated user's Picture Manager
subscription. Each level has a monthly fee (except "Free") and
provides a certain amount of storage space.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 Free

(out) Free to Stores users.



=cut


use constant Free => scalar('Free');


=head2 Level1

(out) 10 MB of storage.



=cut


use constant Level1 => scalar('Level1');


=head2 Level2

(out) 50 MB of storage.



=cut


use constant Level2 => scalar('Level2');


=head2 Level3

(out) 125 MB of storage.



=cut


use constant Level3 => scalar('Level3');


=head2 Level4

(out) 300 MB of storage.



=cut


use constant Level4 => scalar('Level4');


=head2 CustomCode

(out) Reserved for internal or future use



=cut


use constant CustomCode => scalar('CustomCode');







1;   
