#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::PictureSetCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. PictureSetCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::PictureSetCodeType

=head1 DESCRIPTION

The size of images generated.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 Standard

Default value for requests. The size for the standard, 3-picture set for item pictures.



=cut


use constant Standard => scalar('Standard');


=head2 Supersize

Supersize, 4-picture set.
If you specify this value on input, and this value is returned
in the response, then in AddItem or a related call,
you must specify Item.PictureDetails.PhotoDisplay.Supersize
or Item.PictureDetails.PhotoDisplay.PicturePack.



=cut


use constant Supersize => scalar('Supersize');


=head2 Large

When returned as output in the call response, the characters after setid may contain this value
if a Supersize image cannot be generated.
If this value is returned in the response, then in AddItem or a related call,
you must specify Item.PictureDetails.PhotoDisplay.Supersize
or Item.PictureDetails.PhotoDisplay.PicturePack.



=cut


use constant Large => scalar('Large');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
