#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::PromotionalSaleTypeCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. PromotionalSaleTypeCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::PromotionalSaleTypeCodeType

=head1 DESCRIPTION

Values specify or indicate the type of promotional sale offered. 
Promotional sales give store owners the ability to apply discounts and/or 
free shipping across many listings for a specific duration.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 PriceDiscountOnly

Sale offers price discount only.



=cut


use constant PriceDiscountOnly => scalar('PriceDiscountOnly');


=head2 FreeShippingOnly

Sale offers free shipping only.



=cut


use constant FreeShippingOnly => scalar('FreeShippingOnly');


=head2 PriceDiscountAndFreeShipping

Sale offers both price discount and free shipping.



=cut


use constant PriceDiscountAndFreeShipping => scalar('PriceDiscountAndFreeShipping');


=head2 CustomCode

Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
