#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::RangeCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. RangeCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::RangeCodeType

=head1 DESCRIPTION

Type declaration to be used by other schema. Indicates that the data
represents the high or low end in a range, such as a date range,
price range, or width range. (For example, when calling
GetProductSearchResults, you use range codes to indicate the role of
an attribute in a range.)



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 High

High end of the range.



=cut


use constant High => scalar('High');


=head2 Low

Low end of the range.



=cut


use constant Low => scalar('Low');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
