#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::RefundReasonCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. RefundReasonCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::RefundReasonCodeType

=head1 DESCRIPTION

Explanation of the reason that the refund is being issued. Applicable to Half.com refunds only.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 CannotShipProduct

Seller is unable to ship the product to the buyer.



=cut


use constant CannotShipProduct => scalar('CannotShipProduct');


=head2 WrongItemShipped

Seller shipped the wrong item to the buyer.



=cut


use constant WrongItemShipped => scalar('WrongItemShipped');


=head2 ItemBadQuality

The buyer returned the item due to its quality.



=cut


use constant ItemBadQuality => scalar('ItemBadQuality');


=head2 ItemDamaged

The buyer returned the item due to damage.



=cut


use constant ItemDamaged => scalar('ItemDamaged');


=head2 BuyerRemorse

The buyer decided they did not want the item.



=cut


use constant BuyerRemorse => scalar('BuyerRemorse');


=head2 Other

=cut


use constant Other => scalar('Other');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
