#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::SearchStandingStatusCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. SearchStandingStatusCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::SearchStandingStatusCodeType

=head1 DESCRIPTION

The Search standing that you have earned.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 Raised

Your listings may receive higher placement in search results 
that are sorted by Best Match.
You earn this standing when you provide excellent customer service to eBay buyers
(such as good BuyerSatisfaction.Status and high detailed seller ratings).
If you already have a raised search standing, you can still boost your 
ratings and increase the visibility of your items by maintaining or 
improving your customer service.



=cut


use constant Raised => scalar('Raised');


=head2 Standard

Listings recieve standard placement in search results that are sorted by Best Match.



=cut


use constant Standard => scalar('Standard');


=head2 Lowered

Your listings may receive lower placement in search results that 
are sorted by Best Match.
You earn this standing when you have not been successful in providing 
eBay buyers with the customer service they expect. 
You can still take positive steps to improve your customer service 
and increase your ratings.



=cut


use constant Lowered => scalar('Lowered');


=head2 CustomCode

Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
