#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::SellerPaymentMethodCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. SellerPaymentMethodCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::SellerPaymentMethodCodeType

=head1 DESCRIPTION

These are payment methods that sellers can use to pay eBay fees.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 NothingOnFile

Used for all other payment methods which are not specifically listed in other columns.



=cut


use constant NothingOnFile => scalar('NothingOnFile');


=head2 CreditCard

Credit Card



=cut


use constant CreditCard => scalar('CreditCard');


=head2 PayPal

PayPal



=cut


use constant PayPal => scalar('PayPal');


=head2 DirectDebit

Direct Debit



=cut


use constant DirectDebit => scalar('DirectDebit');


=head2 DirectDebitPendingSignatureMandate

Direct Debit, pending signature mandate



=cut


use constant DirectDebitPendingSignatureMandate => scalar('DirectDebitPendingSignatureMandate');


=head2 eBayDirectPay

eBay Direct Pay



=cut


use constant eBayDirectPay => scalar('eBayDirectPay');


=head2 CustomCode

(out) Reserved for internal or future use



=cut


use constant CustomCode => scalar('CustomCode');







1;   
