#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::SetUserNotesActionCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. SetUserNotesActionCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::SetUserNotesActionCodeType

=head1 DESCRIPTION

Specifies the action to take for an item's My eBay notes.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 AddOrUpdate

Creates or replaces an item's My eBay notes. Note that if
the specified item already has notes in My eBay, the new
notes will completely replace the existing notes. They will
not be appended.



=cut


use constant AddOrUpdate => scalar('AddOrUpdate');


=head2 Delete

Deletes any existing My eBay notes for the specified item.
Specifying Delete when no notes exist does nothing, but does
not return an error.



=cut


use constant Delete => scalar('Delete');


=head2 CustomCode

=cut


use constant CustomCode => scalar('CustomCode');







1;   
