#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::ShippingRateTypeCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. ShippingRateTypeCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::ShippingRateTypeCodeType

=head1 DESCRIPTION

A shipping rate scale for shipping through UPS that
affects the shipping cost calculated for UPS (lower if
ShippingRateType is DailyPickup). For calculated shipping only.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 OnDemand

"On-demand" shipping rate scale.



=cut


use constant OnDemand => scalar('OnDemand');


=head2 DailyPickup

"Daily pickup" shipping rate scale.



=cut


use constant DailyPickup => scalar('DailyPickup');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
