#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::SimpleItemSortCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. SimpleItemSortCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::SimpleItemSortCodeType

=head1 DESCRIPTION



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 BestMatch

Sorts items by Best Match, and no sort order applies. If specified, 
then Best Match sort also applies to CategoryHistogram.



=cut


use constant BestMatch => scalar('BestMatch');


=head2 CustomCode

Placeholder value. See
<a href="types/simpleTypes.html#token">token</a>.



=cut


use constant CustomCode => scalar('CustomCode');


=head2 EndTime

Sorts items by end time in ascending or descending order.



=cut


use constant EndTime => scalar('EndTime');


=head2 BidCount

Sort by number of bids on the item in ascending or descending order.



=cut


use constant BidCount => scalar('BidCount');


=head2 Country

Sort by country; no sort order can be specified.



=cut


use constant Country => scalar('Country');


=head2 CurrentBid

Sort by current bid; descending order only.



=cut


use constant CurrentBid => scalar('CurrentBid');


=head2 Distance

Sort by distance, ascending order only.



=cut


use constant Distance => scalar('Distance');


=head2 StartDate

Sort by start date, recently-listed first.



=cut


use constant StartDate => scalar('StartDate');


=head2 BestMatchCategoryGroup

(in) Sort by BestMatchCategoryGroup so results are grouped by Best Match within a category.



=cut


use constant BestMatchCategoryGroup => scalar('BestMatchCategoryGroup');


=head2 PricePlusShipping

(in) This value is part of the Price Plus Shipping Sort feature, to be enabled
by the end of Sept. 2007 for the following sites:
US (site ID 0), Germany (77), Canada (2), and Australia (15).
The Price Plus Shipping Sort feature causes item sorting to consider shipping costs.
Specify PricePlusShippingAsc to sort items by lowest cost first, as follows:
Lowest-total-cost (for items where shipping was properly specified), 
then freight-shipping items, then items for which shipping was not specified (sorted by price).



=cut


use constant PricePlusShipping => scalar('PricePlusShipping');







1;   
