#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::SortOrderCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. SortOrderCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::SortOrderCodeType

=head1 DESCRIPTION

Indicates the order in which the catalog search engine will sort the results if
you pass a sort attribute (SortAttributeID) in search requests. Applications
cannot change the sort order of a sort attribute.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 Ascending

The results will be sorted by the specified attribute in ascending (low to high) order.



=cut


use constant Ascending => scalar('Ascending');


=head2 Descending

The results will be sorted by the specified attribute in descending (high to low) order.



=cut


use constant Descending => scalar('Descending');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
