#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::StringMatchCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. StringMatchCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::StringMatchCodeType

=head1 DESCRIPTION

(in) Indicates the type of string matching to use
when a value is submitted in CharityName. If no value is
specified, default behavior is "StartsWith." Does not
apply to Query.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 CustomCode

(in) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');


=head2 StartsWith

(in) Matches strings that begin with the submitted
value. For example, submitting a CharityName value
of "heart" matches "Heart of Gold," but not "Open
Hearts." Default behavior if no value is
specified.



=cut


use constant StartsWith => scalar('StartsWith');


=head2 Contains

(in) Matches strings that contain the submitted
value. For example, submitting a CharityName value
of "heart" matches both "Heart of Gold" and "Open
Hearts."



=cut


use constant Contains => scalar('Contains');







1;   
