#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::TaskStatusCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. TaskStatusCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::TaskStatusCodeType

=head1 DESCRIPTION

Status values for the processing progress for the category structure changes
specified by a SetStoreCategories request. If the SetStoreCategories call is
processed asynchronously, then the status is returned by
GetStoreCategoryUpdateStatus, otherwise, the status is returned in the
SetStoreCategories response.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 Pending

(out) The category changes have not started.



=cut


use constant Pending => scalar('Pending');


=head2 InProgress

(out) The category changes are in progress.



=cut


use constant InProgress => scalar('InProgress');


=head2 Complete

(out) The category changes completed successfully.



=cut


use constant Complete => scalar('Complete');


=head2 Failed

(out) The category changes failed.



=cut


use constant Failed => scalar('Failed');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
