#!/usr/bin/perl

package eBay::API::XML::DataType::Enum::WishListSortCodeType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. WishListSortCodeType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 07/07/2008 17:42
# API Release Number: ... 571
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::Enum::WishListSortCodeType

=head1 DESCRIPTION

This type contains ordering criteria for sorting wishlists. The default ordering
is CreationDateAscending.



=head1 SYNOPSIS

=cut



=head1 Enums:

=cut


=head2 CreationDateDescending

Return recently added wish list items first. This is the default sorting order.



=cut


use constant CreationDateDescending => scalar('CreationDateDescending');


=head2 CreationDateAscending

Return older wish list items first.



=cut


use constant CreationDateAscending => scalar('CreationDateAscending');


=head2 PriceAscending

Return lowest priced items and products first. Note that price rankings
will not take shipping costs into account.



=cut


use constant PriceAscending => scalar('PriceAscending');


=head2 PriceDescending

Return highest priced items and products first. Note that price rankings
will not take shipping costs into account.



=cut


use constant PriceDescending => scalar('PriceDescending');


=head2 CustomCode

(out) Reserved for internal or future use.



=cut


use constant CustomCode => scalar('CustomCode');







1;   
