#!/usr/bin/perl

package eBay::API::XML::DataType::ItemTotalsType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. ItemTotalsType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::ItemTotalsType

=head1 DESCRIPTION

Details about items involved in the summary for the specified time period.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::ItemTotalsType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::AmountType;


my @gaProperties = ( [ 'TotalQuantity', 'xs:long', '', '', '' ]
	, [ 'TotalValue', 'ns:AmountType', ''
	     ,'eBay::API::XML::DataType::AmountType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setTotalQuantity()

Number of items involved in the summary.

#    Argument: 'xs:long'

=cut

sub setTotalQuantity {
  my $self = shift;
  $self->{'TotalQuantity'} = shift
}

=head2 getTotalQuantity()

#    Returns: 'xs:long'

=cut

sub getTotalQuantity {
  my $self = shift;
  return $self->{'TotalQuantity'};
}


=head2 setTotalValue()

Total value associated with the items in this summary.

#    Argument: 'ns:AmountType'

=cut

sub setTotalValue {
  my $self = shift;
  $self->{'TotalValue'} = shift
}

=head2 getTotalValue()

#    Returns: 'ns:AmountType'

=cut

sub getTotalValue {
  my $self = shift;
  return $self->_getDataTypeInstance( 'TotalValue'
		,'eBay::API::XML::DataType::AmountType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
