#!/usr/bin/perl

package eBay::API::XML::DataType::ListingAnalyzerRecommendationsType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. ListingAnalyzerRecommendationsType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::ListingAnalyzerRecommendationsType

=head1 DESCRIPTION

Contains results returned from the Listing Analyzer recommendation engine.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::ListingAnalyzerRecommendationsType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::ListingTipArrayType;


my @gaProperties = ( [ 'ListingTipArray', 'ns:ListingTipArrayType', ''
	     ,'eBay::API::XML::DataType::ListingTipArrayType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setListingTipArray()

A collection of tips returned from the Listing Analyzer recommendation engine.

#    Argument: 'ns:ListingTipArrayType'

=cut

sub setListingTipArray {
  my $self = shift;
  $self->{'ListingTipArray'} = shift
}

=head2 getListingTipArray()

  Calls: GetItemRecommendations
  Returned: Conditionally

#    Returns: 'ns:ListingTipArrayType'

=cut

sub getListingTipArray {
  my $self = shift;
  return $self->_getDataTypeInstance( 'ListingTipArray'
		,'eBay::API::XML::DataType::ListingTipArrayType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
