#!/usr/bin/perl

package eBay::API::XML::DataType::LiveAuctionApprovalStatusArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. LiveAuctionApprovalStatusArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::LiveAuctionApprovalStatusArrayType

=head1 DESCRIPTION

Contains the results of the request for each bidder.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::LiveAuctionApprovalStatusArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::LiveAuctionApprovalStatusType;


my @gaProperties = ( [ 'LiveAuctionStatus', 'ns:LiveAuctionApprovalStatusType', '1'
	     ,'eBay::API::XML::DataType::LiveAuctionApprovalStatusType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setLiveAuctionStatus()

Indicates the current approval status of a bidder.

#    Argument: reference to an array  
                      of 'ns:LiveAuctionApprovalStatusType'

=cut

sub setLiveAuctionStatus {
  my $self = shift;
  $self->{'LiveAuctionStatus'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getLiveAuctionStatus()

  Calls: ApproveLiveAuctionBidders
  Returned: Always

#    Returns: reference to an array  
                      of 'ns:LiveAuctionApprovalStatusType'

=cut

sub getLiveAuctionStatus {
  my $self = shift;
  return $self->_getDataTypeArray('LiveAuctionStatus');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
