#!/usr/bin/perl

package eBay::API::XML::DataType::MyMessagesMessageArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. MyMessagesMessageArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::MyMessagesMessageArrayType

=head1 DESCRIPTION

Contains a list of message data.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::MyMessagesMessageArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::MyMessagesMessageType;


my @gaProperties = ( [ 'Message', 'ns:MyMessagesMessageType', '1'
	     ,'eBay::API::XML::DataType::MyMessagesMessageType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setMessage()

Contains the data for one message.

#    Argument: reference to an array  
                      of 'ns:MyMessagesMessageType'

=cut

sub setMessage {
  my $self = shift;
  $self->{'Message'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getMessage()

  Calls: GetMyMessages
  Returned: Conditionally
  Details: DetailLevel: ReturnHeaders, ReturnMessages

#    Returns: reference to an array  
                      of 'ns:MyMessagesMessageType'

=cut

sub getMessage {
  my $self = shift;
  return $self->_getDataTypeArray('Message');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
