#!/usr/bin/perl

package eBay::API::XML::DataType::MyMessagesMessageIDArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. MyMessagesMessageIDArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::MyMessagesMessageIDArrayType

=head1 DESCRIPTION

Contains a list of up to 10 MessageID values.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::MyMessagesMessageIDArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::MyMessagesMessageIDType;


my @gaProperties = ( [ 'MessageID', 'ns:MyMessagesMessageIDType', '1'
	     ,'eBay::API::XML::DataType::MyMessagesMessageIDType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setMessageID()

An ID that uniquely identifies a message for a given user. When MessageID values
are used as input, you must generally specify either AlertID values, or MessageID values,
or both.

  Calls: DeleteMyMessages
  RequiredInput: Conditionally

  Calls: GetMyMessages
  RequiredInput: Conditionally

  Calls: ReviseMyMessages
  RequiredInput: Conditionally

#    Argument: reference to an array  
                      of 'ns:MyMessagesMessageIDType'

=cut

sub setMessageID {
  my $self = shift;
  $self->{'MessageID'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getMessageID()

#    Returns: reference to an array  
                      of 'ns:MyMessagesMessageIDType'

=cut

sub getMessageID {
  my $self = shift;
  return $self->_getDataTypeArray('MessageID');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
