#!/usr/bin/perl

package eBay::API::XML::DataType::NotificationDetailsArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. NotificationDetailsArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::NotificationDetailsArrayType

=head1 DESCRIPTION

Returns information about notifications sent to the given application
for the given ItemID. It will only be returned if ItemID was specified in the
input parameters.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::NotificationDetailsArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::NotificationDetailsType;


my @gaProperties = ( [ 'NotificationDetails', 'ns:NotificationDetailsType', '1'
	     ,'eBay::API::XML::DataType::NotificationDetailsType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setNotificationDetails()

List of notifications, if there are any, for the given ItemID and given
time period.

#    Argument: reference to an array  
                      of 'ns:NotificationDetailsType'

=cut

sub setNotificationDetails {
  my $self = shift;
  $self->{'NotificationDetails'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getNotificationDetails()

  Calls: GetNotificationsUsage
  Returned: Conditionally

#    Returns: reference to an array  
                      of 'ns:NotificationDetailsType'

=cut

sub getNotificationDetails {
  my $self = shift;
  return $self->_getDataTypeArray('NotificationDetails');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
