#!/usr/bin/perl

package eBay::API::XML::DataType::PricingRecommendationsType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. PricingRecommendationsType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::PricingRecommendationsType

=head1 DESCRIPTION

Pricing data returned from the Product Pricing engine.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::PricingRecommendationsType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::ProductInfoType;


my @gaProperties = ( [ 'ProductInfo', 'ns:ProductInfoType', ''
	     ,'eBay::API::XML::DataType::ProductInfoType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setProductInfo()

A product's pricing data (if any) and brief information about the product.

#    Argument: 'ns:ProductInfoType'

=cut

sub setProductInfo {
  my $self = shift;
  $self->{'ProductInfo'} = shift
}

=head2 getProductInfo()

  Calls: GetItemRecommendations
  Returned: Conditionally

#    Returns: 'ns:ProductInfoType'

=cut

sub getProductInfo {
  my $self = shift;
  return $self->_getDataTypeInstance( 'ProductInfo'
		,'eBay::API::XML::DataType::ProductInfoType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
