#!/usr/bin/perl

package eBay::API::XML::DataType::ProStoresCheckoutPreferenceType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. ProStoresCheckoutPreferenceType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::ProStoresCheckoutPreferenceType

=head1 DESCRIPTION

Details about ProStores and checkout preferences.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::ProStoresCheckoutPreferenceType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::ProStoresDetailsType;


my @gaProperties = ( [ 'CheckoutRedirectProStores', 'xs:boolean', '', '', '' ]
	, [ 'ProStoresDetails', 'ns:ProStoresDetailsType', ''
	     ,'eBay::API::XML::DataType::ProStoresDetailsType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setCheckoutRedirectProStores()

Indicates whether third party checkout is to be redirected to
the ProStores application specified via My eBay preferences.

#    Argument: 'xs:boolean'

=cut

sub setCheckoutRedirectProStores {
  my $self = shift;
  $self->{'CheckoutRedirectProStores'} = shift
}

=head2 isCheckoutRedirectProStores()

  Calls: GetUserPreferences
  Returned: Conditionally

#    Returns: 'xs:boolean'

=cut

sub isCheckoutRedirectProStores {
  my $self = shift;
  return $self->{'CheckoutRedirectProStores'};
}


=head2 setProStoresDetails()

Details about the store.

#    Argument: 'ns:ProStoresDetailsType'

=cut

sub setProStoresDetails {
  my $self = shift;
  $self->{'ProStoresDetails'} = shift
}

=head2 getProStoresDetails()

  Calls: GetUserPreferences
  Returned: Conditionally

#    Returns: 'ns:ProStoresDetailsType'

=cut

sub getProStoresDetails {
  my $self = shift;
  return $self->_getDataTypeInstance( 'ProStoresDetails'
		,'eBay::API::XML::DataType::ProStoresDetailsType');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
