#!/usr/bin/perl

package eBay::API::XML::DataType::ProStoresDetailsType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. ProStoresDetailsType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::ProStoresDetailsType

=head1 DESCRIPTION

Details about the store.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::ProStoresDetailsType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::Enum::EnableCodeType;


my @gaProperties = ( [ 'SellerThirdPartyUsername', 'xs:string', '', '', '' ]
	, [ 'Status', 'ns:EnableCodeType', ''
	     ,'eBay::API::XML::DataType::Enum::EnableCodeType', '' ]
	, [ 'StoreName', 'xs:string', '', '', '' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setSellerThirdPartyUsername()

The username associated with the store.  Returned only if the
parent container is returned.

MaxLength: 200

#    Argument: 'xs:string'

=cut

sub setSellerThirdPartyUsername {
  my $self = shift;
  $self->{'SellerThirdPartyUsername'} = shift
}

=head2 getSellerThirdPartyUsername()

  Calls: GetUserPreferences
  Returned: Conditionally

#    Returns: 'xs:string'

=cut

sub getSellerThirdPartyUsername {
  my $self = shift;
  return $self->{'SellerThirdPartyUsername'};
}


=head2 setStatus()

The status--whether enabled or disabled. Returned only if the
parent container is returned.

#    Argument: 'ns:EnableCodeType'

=cut

sub setStatus {
  my $self = shift;
  $self->{'Status'} = shift
}

=head2 getStatus()

  Calls: GetUserPreferences
  Returned: Conditionally

#    Returns: 'ns:EnableCodeType'

=cut

sub getStatus {
  my $self = shift;
  return $self->{'Status'};
}


=head2 setStoreName()

The name of the store.  Returned only if the
parent container is returned.

MaxLength: 200

#    Argument: 'xs:string'

=cut

sub setStoreName {
  my $self = shift;
  $self->{'StoreName'} = shift
}

=head2 getStoreName()

  Calls: GetUserPreferences
  Returned: Conditionally

#    Returns: 'xs:string'

=cut

sub getStoreName {
  my $self = shift;
  return $self->{'StoreName'};
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
