#!/usr/bin/perl

package eBay::API::XML::DataType::RelatedSearchKeywordArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. RelatedSearchKeywordArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::RelatedSearchKeywordArrayType

=head1 DESCRIPTION

Container for a list of related keywords.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::RelatedSearchKeywordArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");



my @gaProperties = ( [ 'Keyword', 'xs:string', '1', '', '' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setKeyword()

Related keyword.

#    Argument: reference to an array  
                      of 'xs:string'

=cut

sub setKeyword {
  my $self = shift;
  $self->{'Keyword'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getKeyword()

  Calls: GetSearchResults
  Returned: Conditionally
  Details: DetailLevel: ItemReturnCategories, ItemReturnAttributes, ReturnAll, none

  Calls: GetCategoryListings
  Returned: Conditionally

#    Returns: reference to an array  
                      of 'xs:string'

=cut

sub getKeyword {
  my $self = shift;
  return $self->_getDataTypeArray('Keyword');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
