#!/usr/bin/perl

package eBay::API::XML::DataType::StoreCustomCategoryArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. StoreCustomCategoryArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::StoreCustomCategoryArrayType

=head1 DESCRIPTION

Set of custom categories for the Store.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::StoreCustomCategoryArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::StoreCustomCategoryType;


my @gaProperties = ( [ 'CustomCategory', 'ns:StoreCustomCategoryType', '1'
	     ,'eBay::API::XML::DataType::StoreCustomCategoryType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setCustomCategory()

A Store custom category.

  Calls: SetStoreCategories
  RequiredInput: Yes

#    Argument: reference to an array  
                      of 'ns:StoreCustomCategoryType'

=cut

sub setCustomCategory {
  my $self = shift;
  $self->{'CustomCategory'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getCustomCategory()

  Calls: GetStore
  Returned: Always

#    Returns: reference to an array  
                      of 'ns:StoreCustomCategoryType'

=cut

sub getCustomCategory {
  my $self = shift;
  return $self->_getDataTypeArray('CustomCategory');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
