#!/usr/bin/perl

package eBay::API::XML::DataType::StoreSubscriptionArrayType;

use strict;
use warnings;  

##########################################################################
#
# Module: ............... <user defined location>eBay/API/XML
# File: ................. StoreSubscriptionArrayType.pm
# Generated by: ......... genEBayApiDataTypes.pl
# Last Generated: ....... 08/24/2008 16:44
# API Release Number: ... 579
#
##########################################################################  

=head1 NAME

eBay::API::XML::DataType::StoreSubscriptionArrayType

=head1 DESCRIPTION

Set of eBay Store subscription levels.



=head1 SYNOPSIS

=cut


=head1 INHERITANCE

eBay::API::XML::DataType::StoreSubscriptionArrayType inherits from the L<eBay::API::XML::BaseDataType> class

=cut

use eBay::API::XML::BaseDataType;
our @ISA = ("eBay::API::XML::BaseDataType");

use eBay::API::XML::DataType::StoreSubscriptionType;


my @gaProperties = ( [ 'Subscription', 'ns:StoreSubscriptionType', '1'
	     ,'eBay::API::XML::DataType::StoreSubscriptionType', '1' ]
                    );
push @gaProperties, @{eBay::API::XML::BaseDataType::getPropertiesList()};

my @gaAttributes = ( 
                    );
push @gaAttributes, @{eBay::API::XML::BaseDataType::getAttributesList()};

=head1 Subroutines:

=cut

sub new {
  my $classname = shift;
  my %args = @_;
  my $self = $classname->SUPER::new(%args);
  return $self;
}

sub isScalar {
   return 0; 
}



=head2 setSubscription()

A Store subscription level.

#    Argument: reference to an array  
                      of 'ns:StoreSubscriptionType'

=cut

sub setSubscription {
  my $self = shift;
  $self->{'Subscription'} = 
		$self->convertArray_To_RefToArrayIfNeeded(@_);
}

=head2 getSubscription()

  Calls: GetStoreOptions
  Returned: Always

#    Returns: reference to an array  
                      of 'ns:StoreSubscriptionType'

=cut

sub getSubscription {
  my $self = shift;
  return $self->_getDataTypeArray('Subscription');
}





##  Attribute and Property lists
sub getPropertiesList {
   my $self = shift;
   return \@gaProperties;
}

sub getAttributesList {
   my $self = shift;
   return \@gaAttributes;
}



1;   
